Bug 14239 - Crashing while working with ru_RU.UTF-8 locale
: Crashing while working with ru_RU.UTF-8 locale
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wget)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-29 21:16 by
Modified: 2008-05-23 19:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-29 21:16:17
While downloading file with ru_RU.UTF-8 locale, wget crashing with the following
message:

wget: progress.c:972: create_image: Проверочное утверждение `p - bp->buffer <=
bp->width' не выполнено.

If ENV LANG is set to C, ru_RU.KOI8-R or uk_UA.UTF-8 - everything is going right.

Steps to Reproduce:
1. LANG =ru_RU.UTF-8 wget -c
http://pgfoundry.org/frs/download.php/1559/pgcluster-1.7.0rc8.tar.gz
------- Comment #1 From 2008-01-29 21:21:29 -------
After removal of /usr/share/locale/ru/LC_MESSAGES/wget.mo file everything is
going right.
------- Comment #2 From 2008-01-29 21:43:22 -------
BTW seems like the release process missed `make update-po', at least ru.po
changed its size from 63859 (as in tarball) to 63868.

I cannot debug this properly now, so if anyone's interested, please look into it.

Also notifying upstream.
------- Comment #3 From 2008-02-11 21:11:30 -------
Fixed in 1.11.1-alt0.b2092, waiting for 1.11.1 to come.